### Hierarchy

- DateTimePickerComponent

### Implements

- OnChanges
- OnInit

## Index

### Inputs

- batchText
- dateFormat
- dateTimeRanges
- hasAbsolute
- hasRelative
- language
- placeholder
- selected
- theme

### Outputs

- apply
- cancel
- selectedChange

### Constructors

- constructor

### Properties

- absoluteDateFormat
- apply
- batchText
- cancel
- dateFormat
- dateTimeRanges
- disabled
- elementRef
- expanded
- hasAbsolute
- hasRelative
- i18n
- language
- placeholder
- previousSelection
- selected
- selectedChange
- selectingCustomRange
- theme
- timeFormat
- wrapper

### Accessors

- tooltipOffset

### Methods

- formatCurrentRange
- formatCurrentRangeTitle
- formatCustomRange
- navigateList
- ngOnChanges
- ngOnInit
- onApply
- onBack
- onCancel
- rangeChange
- selectPresetRange
- togglePicker
- updateAbsoluteDateFormat
- updateI18nTranslationString

## Constructors

### constructor

- new DateTimePickerComponent(elementRef: ElementRef<any>, i18n: I18n): DateTimePickerComponent

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:284

  #### Parameters

  - ##### elementRef: ElementRef<any>

  - ##### i18n: I18n

  #### Returns DateTimePickerComponent

## Properties

### absoluteDateFormat

absoluteDateFormat: string = 'Y-m-d'

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:280

### apply

@Output()
apply: EventEmitter<DateRange> = ...

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:271

### batchText

@Input()
batchText: BatchLabelText = ...

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:248

### cancel

@Output()
cancel: EventEmitter<void> = ...

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:272

### dateFormat

@Input()
dateFormat: string = 'yyyy-MM-dd'

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:247

### dateTimeRanges

@Input()
dateTimeRanges: DateTimeRange[] = ...

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:188

### disabled

disabled: boolean = false

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:278

### Protected elementRef

elementRef: ElementRef<any>

### expanded

expanded: boolean = false

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:277

### hasAbsolute

@Input()
hasAbsolute: boolean = true

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:244

### hasRelative

@Input()
hasRelative: boolean = true

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:243

### Protected i18n

i18n: I18n

### language

@Input()
language: string = 'en'

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:241

Language of the flatpickr calendar.

For reference of the possible locales: https://github.com/flatpickr/flatpickr/blob/master/src/l10n/index.ts

### placeholder

@Input()
placeholder: string = 'yyyy-mm-dd HH:mm'

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:246

### previousSelection

previousSelection: DateTimeSelection = null

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:275

### selected

@Input()
selected: DateTimeSelection = null

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:242

### selectedChange

@Output()
selectedChange: EventEmitter<DateTimeSelection> = ...

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:270

### selectingCustomRange

selectingCustomRange: boolean = false

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:276

### theme

@Input()
theme: "light" = null

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:245

### timeFormat

timeFormat: string = 'HH:mm'

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:279

### wrapper

@HostBinding({"hostPropertyName":"'class.iot--date-time-picker__wrapper'"})
wrapper: boolean = true

- Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:186

## Accessors

### tooltipOffset

- get tooltipOffset(): { x: number; y: number }

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:282

  #### Returns { x: number; y: number }

  - ##### x: number

  - ##### y: number

## Methods

### formatCurrentRange

- formatCurrentRange(): string

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:330

  #### Returns string

### formatCurrentRangeTitle

- formatCurrentRangeTitle(): string

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:319

  #### Returns string

### formatCustomRange

- formatCustomRange(): string

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:348

  #### Returns string

### navigateList

- navigateList(event: KeyboardEvent): void

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:409

  #### Parameters

  - ##### event: KeyboardEvent

  #### Returns void

### ngOnChanges

- ngOnChanges(changes: SimpleChanges): void

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:288

  #### Parameters

  - ##### changes: SimpleChanges

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:297

  #### Returns void

### onApply

- onApply(): void

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:388

  #### Returns void

### onBack

- onBack(): void

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:379

  #### Returns void

### onCancel

- onCancel(): void

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:404

  #### Returns void

### rangeChange

- rangeChange(change: DateTimeSelection): void

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:371

  #### Parameters

  - ##### change: DateTimeSelection

  #### Returns void

### selectPresetRange

- selectPresetRange(range: DateTimeRange): void

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:366

  #### Parameters

  - ##### range: DateTimeRange

  #### Returns void

### togglePicker

- togglePicker(): void

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:434

  #### Returns void

### updateAbsoluteDateFormat

- updateAbsoluteDateFormat(): void

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:306

  #### Returns void

### updateI18nTranslationString

- updateI18nTranslationString(): void

- - Defined in packages/angular/src/date-time-picker/date-time-picker.component.ts:315

  #### Returns void

Generated using TypeDoc